:root{
    --azul:#082b63;
    --azul2:#143f82;
    --dorado:#c9a227;
    --fondo:#eef2f7;
    --borde:#dbe4f2;
    --txt:#0d2b5c;
}

*{box-sizing:border-box}

body{
    margin:0;
    font-family:Arial, Helvetica, sans-serif;
    background:var(--fondo);
    color:var(--txt);
}

.login{
    max-width:430px;
    margin:80px auto;
    background:white;
    padding:30px;
    border-radius:20px;
    box-shadow:0 15px 35px #0001;
}

.login h1{
    margin:0 0 8px;
    font-size:42px;
    color:var(--azul);
}

input,select,textarea{
    width:100%;
    padding:12px;
    margin:7px 0 13px;
    border:1px solid var(--borde);
    border-radius:10px;
}

button,.btn{
    background:var(--azul);
    color:white;
    border:0;
    font-weight:800;
    border-radius:10px;
    padding:11px 15px;
    text-decoration:none;
    display:inline-block;
    cursor:pointer;
}

.layout{
    display:flex;
    min-height:100vh;
}

aside{
    width:250px;
    background:var(--azul);
    color:white;
    padding:22px;
    position:fixed;
    top:0;
    bottom:0;
    overflow:auto;
}

aside h2{
    margin-top:0;
    font-size:30px;
    color:white;
}

aside a{
    display:block;
    color:white;
    text-decoration:none;
    padding:12px;
    background:#ffffff18;
    border-radius:10px;
    margin:8px 0;
    font-weight:700;
}

aside a:hover{
    background:var(--azul2);
}

main{
    margin-left:250px;
    padding:30px;
    width:calc(100% - 250px);
}

main h1{
    font-size:36px;
    margin-top:0;
}

.card{
    background:white;
    padding:22px;
    border:1px solid var(--borde);
    border-radius:18px;
    margin:15px 0;
    box-shadow:0 10px 25px #0000000d;
}

.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:16px;
    margin-bottom:18px;
}

.grid b{
    font-size:36px;
    color:var(--azul);
    display:block;
}

.grid span{
    color:#52627b;
}

table{
    width:100%;
    border-collapse:collapse;
}

td,th{
    padding:10px;
    border-bottom:1px solid var(--borde);
    text-align:left;
    vertical-align:top;
}

pre{
    white-space:pre-wrap;
    background:#f6f8fc;
    padding:12px;
    border-radius:10px;
}

@media(max-width:850px){
    .layout{
        display:block;
    }

    aside{
        position:relative;
        width:100%;
    }

    main{
        margin-left:0;
        width:100%;
        padding:18px;
    }
}
